<template>
  <div class="avenir ma4">
    <Navbar/>
    <div class="pa1 f2 mt6 mb3 lh-solid">Projetos</div>
    <div class="flex flex-wrap">
      <card v-for="project in form.projects" :key="project">
        <div class="f4 br3 br--top black-60 mv0 pv2 ph3"> {{ project.name }} </div>
        <div class="bt b--primary-10">
          <div class="f6 pa3 bb f5-ns lh-copy measure"> {{ project.proposal }} </div>
          <div class="f6 pt3 f5-ns lh-copy measure">{{ project.repo_url }}</div>
        </div>
      </card>
    </div>
  </div>
</template>

<style>
.avenir {
  font-family: avenir-next;
}
</style>

<script>
import gql from "graphql-tag"
import Card from "~/components/Card.vue"

export default {
  components: {
    Card
  },
  data() {
    return {
      form: {
        projects: []
      }
    }
  },
  async mounted() {
    try {
      await this.$apollo
        .query({
          query: gql`
            query allProjects {
              allProjects {
                name
                proposal
                repo_url
                id
              }
            }
          `
        })
        .then(({ data }) => {
          this.form.projects = data.allProjects
          console.log(data.allProjects)
        })
    } catch (e) {
      console.error(e)
      this.error = e
    }
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault()
      console.log(this.form.name)
    }
  }
}
</script>
